open Js_of_ocaml

let start _ =
  let ctx = Js_backend.quickstart "canvas" 800 600 in
  let module M = Square_common.M (Js_backend.M) in
  let rec update _ =
    M.render ctx ;
    let update = Js.wrap_callback update in
    let _ = Dom_html.window##requestAnimationFrame update in
    M.update_state ()
  in
  ignore (update 0.) ;
  Js._false

let _ = Dom_html.window##.onload := Dom_html.handler start
